List workflow runs
const url = 'https://api.submeto.com/v1/forms/example/workflow-runs';const options = { method: 'GET', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"run_kind":"production","status":"pending","workflow_version":1,"submission_id":"example","created_after":"example","created_before":"example","min_compute_points":1,"max_compute_points":1,"delivery_uncertain":true,"limit":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.submeto.com/v1/forms/example/workflow-runs \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "run_kind": "production", "status": "pending", "workflow_version": 1, "submission_id": "example", "created_after": "example", "created_before": "example", "min_compute_points": 1, "max_compute_points": 1, "delivery_uncertain": true, "limit": 1 }'Returns up to 50 recent run summaries. Requires workflows:read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The form ID.
Query Parameters
Section titled “Query Parameters”Filter by production or test.
Filter by production or test.
Filter by run status.
Filter by run status.
Filter by published version number.
Filter by published version number.
Filter by submission ID.
Filter by submission ID.
Include runs created at or after this timestamp.
Include runs created at or after this timestamp.
Include runs created before this timestamp.
Include runs created before this timestamp.
Minimum consumed CP.
Minimum consumed CP.
Maximum consumed CP.
Maximum consumed CP.
Filter by delivery uncertainty.
Filter by delivery uncertainty.
Number of runs (1-50, default 20).
Number of runs (1-50, default 20).
Request Body
Section titled “Request Body”object
Must be at least 1.
Must be a valid date.
Must be a valid date. Must be a date after created_after.
Must be at least 0.
Must be at least 0.
Must be at least 1. Must not be greater than 50.
Responses
Section titled “Responses”Workflow runs
object
object
Example
{ "data": [ { "id": "01JRUN00000000000000000000", "submission_id": "REQUEST_ID", "run_kind": "production", "status": "succeeded", "workflow_version": 2, "workflow_version_id": "01JVERSION00000000000000002", "draft_revision": null, "reserved_compute_points": 2, "consumed_compute_points": 2, "released_compute_points": 0, "error_code": null, "started_at": "2026-09-03T09:11:00.000Z", "completed_at": "2026-09-03T09:11:02.000Z", "created_at": "2026-09-03T09:11:00.000Z" } ], "request_id": "REQUEST_ID"}